
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org GSM Home Zone Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.GSM.HZ</h1><h2>Description</h2>
<p>The Home Zone interface allows you to be informed about the home zone status.   Home Zone is a marketing instrument that is used by several operators.  By defining so called 'home zones' on your SIM card, they adjust how much  they charge for your phone calls.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.GSM.HZ</tt></p>
<h2>Methods</h2><ul>
<li><a href="#GetKnownHomeZones">GetKnownHomeZones</a></li>
<li><a href="#GetHomeZoneStatus">GetHomeZoneStatus</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#HomeZoneStatus">HomeZoneStatus</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="GetKnownHomeZones">GetKnownHomeZones</a> ( ) &rarr; as</h3>
<p><i>Description:</i> Get the names of known home zones as stored on your SIM card. </p><h4>Returns</h4><i>as: zones</i><p>The home zone names. </p>
<h3><a name="GetHomeZoneStatus">GetHomeZoneStatus</a> ( ) &rarr; s</h3>
<p><i>Description:</i> Get current zone name. </p><h4>Returns</h4><i>s: zone</i><p>The home zone you are currently on. An empty string denotes  that you are out of all home zones. "unknown" indicates that the system  has not processed the necessary data to compute this information. </p>
<h1>Signals</h1><h3><h3><a name="HomeZoneStatus">HomeZoneStatus</a> ( s )</h3><p><i>Description:</i> Sent, when the home zone status has changed. </p><h4>Parameters</h4><i>s: name</i><p>The home zone you are currently on. See <a href="http://docs.freesmartphone.org/org.freesmartphone.GSM.HZ.html#GetHomeZoneStatus">GetHomeZoneStatus</a> </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

